petsc-3.4.2 2013-07-02

# KSPChebyshevEstEigSetRandom

set random context for estimating eigenvalues

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSetRandom(KSP ksp,PetscRandom random)

Logically Collective

### Input Arguments

| ksp | - linear solver context
| random | - random number context or NULL to disable randomized RHS

### See Also

KSPChebyshevSetEstimateEigenvalues(), PetscRandomCreate()

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages